/**
 * @file main.h
 * Includes and defines stuff common to all files.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _MAIN_H
#define _MAIN_H

#ifdef WIN32
#define BAD_PATH_SEP '/'
#define BAD_PATH_SEP_S "/"
#define PATH_SEP '\\'
#define PATH_SEP_S "\\"
#ifndef MINGW32
#pragma warning(disable:4786)
//#pragma warning(disable:4099)
#pragma warning(disable:4800)
#pragma warning(disable:4305)
#endif
#else
#define PATH_SEP '/'
#define PATH_SEP_S '/'
#define BAD_PATH_SEP '\\'
#define BAD_PATH_SEP_S "\\"
#endif

typedef unsigned int uint;

// Level::deselect_object return values (mainly for use in the InputHandler)
#define SUCCESS       0
#define NO_SELECTED  -1
#define UPDATE_MOUSE -2
#define COLLIDING    -3

#endif // header guard
